#ifndef _JMP_CONFIG_H
#define _JMP_CONFIG_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#if ENABLE_NLS
#  include <libintl.h>
#  include <locale.h>
#  define _(x) gettext(x)
#else
#  define _(x) (x)
#endif

#undef JMPDEBUG

#ifdef HAVE_JVMTI_H
 #define SUPPORT_JVMTI
#endif
#define SUPPORT_PTHREAD

#ifdef HAVE_PTHREAD_H
 #define PTHREAD_MUTEX_DESTROY		pthread_mutex_destroy
 #define PTHREAD_MUTEX_INIT		pthread_mutex_init
 #define PTHREAD_MUTEX_LOCK		pthread_mutex_lock
 #define PTHREAD_MUTEX_UNLOCK		pthread_mutex_unlock

 #define PTHREAD_COND_DESTROY		pthread_cond_destroy
 #define PTHREAD_COND_INIT		pthread_cond_init
 #define PTHREAD_COND_BROADCAST		pthread_cond_broadcast
 #define PTHREAD_COND_TIMEDWAIT		pthread_cond_timedwait
#else
 #error "Your system does not appear to have pthreads"
#endif

#endif /* _JMP_CONFIG_H */

/* Emacs Local Variables: */
/* Emacs mode:C */
/* Emacs c-indentation-style:"gnu" */
/* Emacs c-hanging-braces-alist:((brace-list-open)(brace-entry-open)(defun-open after)(substatement-open after)(block-close . c-snug-do-while)(extern-lang-open after)) */
/* Emacs c-cleanup-list:(brace-else-brace brace-elseif-brace space-before-funcall) */
/* Emacs c-basic-offset:4 */
/* Emacs End: */
